| DocBook: The Definitive Guide 2.0.17 (Alpha)

# msgrel

$Revision$

$Date$

msgrel — A related component of a message in a message set

## Synopsis

### Content Model

    msgrel ::=
    (title?,msgtext)

### Attributes

Common attributes

## Description

Every `Msg` has one primary message (`MsgMain`). It may also have any number of related messages, stored in `MsgRel` elements within the same `Msg`.

Related messages are usually messages that appear elsewhere in response to the same event (or set of events) that triggered the main message. For example, if a network client produces a failure or warning message, a related message might appear on the server console.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Sometimes suppressed.

On the whole, the semantics of `MsgSet` are not clearly defined.

### Parents

These elements contain msgrel: `msg`.

### Children

The following elements occur in msgrel: `msgtext`, `title`.

## Examples

For examples, see `msgset`.

msgorig |  | msgset

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.